Go Back   Steve's Digicams Forums > Digital SLR and Interchangeable Lens Cameras > Olympus Micro Four Thirds

Thread Tools Search this Thread
Old Oct 11, 2011, 3:50 PM   #11
Join Date: Jun 2003
Location: Savannah, GA (USA)
Posts: 22,370

By requiring an Operating System be used to communicate with a camera, you're increasing the number of things that can go wrong (malware scanners, firewalls, other USB devices interfering, etc.).

That also forces users to go with one of the operating systems supported to perform the upgrade.

For example, some of us prefer to use Linux, as newer distributions are very good, with loads of nice software available for internet browsing (Firefox, Opera, Chrome, etc.), nice Office Suites (LibreOffice, KOffice, and more), video editing software (Kdenlive, OpenShot, etc.), Media Players (VLC, MPlayer, etc.); and lots of image viewing/editing software (including commercial packages like Bibble Pro that are available for Linux).

I've got more than one computer that doesn't even have Windows on it at all, including a Dell Inspiron 1720 laptop that I removed Windows from since it was just wasting space, as well as a little Asus Eee PC 900 16G that shipped with Linux only to begin with; not to mention even older computers I've installed Linux on (that work just fine with newer browsers and applications, whereas newer versions of Windows capable of plugging security holes and running newer software would be too "bloated" to run on them). You'll find a number of newer PCs available with Linux only, too (including some of the new Asus Eee PC Netbooks, which is all many users need in a computer).

Yet, some camera manufactures are now requiring a supported operating system to perform firmware upgrades, for no good reason from what I can see (especially since you'll find some "hacks" around that let you install some of the upgrades manually). Olympus is one of them, Sony is another (they require a supported operating system to upgrade the firmware with some of their newer cameras now).

Needing an operating system to perform the upgrades is adding an unnecessary layer of complexity from my perspective, especially given that there is no possible way they can test the wide variety of systems out there with various combinations of software packages that could impact USB communications with a camera. Requiring a supported Operating System like Windows XP, Vista or OS X forces users of other operating systems to "jump through hoops" or borrow a computer to install those updates.

To make matters worse, there is no telling how willing a given manufacturer will be to provide software updates in the future, once a given camera model has been discontinued. IOW, what happens if I buy one of these cameras when Windows 10 is out, and the only firmware update software available for it requires Windows 7, Vista or XP?

We're already seeing that with some camera manufacturers' image editing/viewing software and related drivers and codecs, where they may not have versions that support 64 Bit Windows 7, even though they had versions for earlier operating systems. Ditto for printer and scanner drivers, etc. Now, we've got digital camera firmware update software added to the mix, too (which I think is a really bad idea).

To each their own. But, I don't like the trend I'm seeing where camera manufacturers are requiring specific operating systems to install firmware updates. It alienates users of other operating systems and increases the things that can go wrong when applying those updates, and makes future use of that type of software on newer operating systems in doubt (as manufacturers have demonstrated in the past when newer operating systems have been released). Requiring an Operating System to perform upgrades also increases the workload on the camera manufacturer *if* they want to support future operating systems going forward (and so far, many manufacturers' track records are not very good in that area, once a device has been discontinued).

Of course, most manufacturers would probably prefer you just buy a newer device (scanner, camera, printer, insert your favorite device here), which is one reason many manufacturers may be tying their devices, drivers and software to specific operating systems to update them.
JimC is offline   Reply With Quote

Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are Off
Pingbacks are Off
Refbacks are Off

All times are GMT -5. The time now is 6:53 PM.